org.apache.felix.ipojo.util

## Class Methods<T>

- java.lang.Object
- - org.apache.felix.ipojo.util.Methods<T>

    public class Methods<T>
    extends java.lang.Object

Fluent API to retrieve methods.

### Constructor Summary

Constructors
Constructor and Description
`Methods()`

### Method Summary

All Methods Instance Methods Concrete Methods
`Methods` `in(java.lang.Class<?> c)`
`Methods` `in(java.lang.Object o)`
`java.util.Collection<InvocationResult<T>>` `invoke(java.lang.Object... args)`
`java.util.Map<java.lang.reflect.Method,InvocationResult<T>>` `map(java.lang.Object... args)`
`Methods` `ofReturnType(java.lang.Class<? extends T> clazz)`
`Methods` `withParameter(java.lang.Class<?>... type)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### Methods

    public Methods()

### Method Detail

#### map

    public java.util.Map<java.lang.reflect.Method,InvocationResult<T>> map(java.lang.Object... args)

#### invoke

    public java.util.Collection<InvocationResult<T>> invoke(java.lang.Object... args)

#### ofReturnType

    public Methods ofReturnType(java.lang.Class<? extends T> clazz)

#### withParameter

    public Methods withParameter(java.lang.Class<?>... type)

#### in

    public Methods in(java.lang.Object o)

#### in

    public Methods in(java.lang.Class<?> c)